# pandas.Period

class `pandas.``Period`

  Represents a period of time

  Parameters:

  value : Period or str, default None

  > The time period represented (e.g., ‘4Q2005’)

  freq : str, default None

  > One of pandas period strings or corresponding objects

  year : int, default None

  month : int, default 1

  quarter : int, default None

  day : int, default 1

  hour : int, default 0

  minute : int, default 0

  second : int, default 0

  Attributes

  `day` | Get day of the month that a Period falls on.
  `dayofweek` | Day of the week the period lies in, with Monday=0 and Sunday=6.
  `dayofyear` | Return the day of the year.
  `days_in_month` | Get the total number of days in the month that this period falls on.
  `daysinmonth` | Get the total number of days of the month that the Period falls in.
  `end_time` |
  `freq` |
  `freqstr` |
  `hour` | Get the hour of the day component of the Period.
  `is_leap_year` |
  `minute` | Get minute of the hour component of the Period.
  `month` |
  `ordinal` |
  `quarter` |
  `qyear` | Fiscal year the Period lies in according to its starting-quarter.
  `second` | Get the second component of the Period.
  `start_time` | Get the Timestamp for the start of the period.
  `week` | Get the week of the year on the given Period.
  `weekday` | Day of the week the period lies in, with Monday=0 and Sunday=6.
  `weekofyear` |
  `year` |

  Methods

  `asfreq` | Convert Period to desired frequency, either at the start or end of the interval
  `now` |
  `strftime` | Returns the string representation of the `Period`, depending on the selected `fmt`.
  `to_timestamp` | Return the Timestamp representation of the Period at the target frequency at the specified end (how) of the Period

Scroll To Top